Laravel 5.1 LTS 发布,支持 PSR-2 - 开源中国社区
Laravel 5.1 LTS 发布,支持 PSR-2
raykwok 2015年06月09日

Laravel 5.1 LTS 发布,支持 PSR-2

raykwok raykwok 发布于2015年06月09日 收藏 14 评论 9

Laravel 5.1 是 Laravel 首个 LTS 版本,包含很多新特性。

Laravel 5.1

Laravel 5.1 现在开始会包括 3 年的安全修复。此版本也重新编写了文档,而且添加了实时搜索的自动完成功能。

New Documentation Searching

应用和生成器转换为 PSR-2

可以直接从一个 Blade 模板中解决一个服务

@extends('layouts.app')
@inject('stats', 'StatisticsService')
<div>{{ $stats->getCustomerCount() }}</div>

Laravel 已经拥有一个强大的 event 系统,此版本基于这个功能的基础上基于 websocket 支持广播 events,可以更简单的创建实时应用。

此版本还集成了测试包,提供更好的应用单元测试功能

public function testNewUserRegistration()
{
    $this->visit('/register')
         ->type('Taylor', 'name')
         ->check('terms')
         ->press('Register')
         ->seePageIs('/dashboard');
}


更多改进请看发行说明:https://laravel-news.com/2015/06/laravel-5-1-released/

Laravel是一套简洁、优雅的PHP Web开发框架(PHP Web Framework)。它可以让你从面条一样杂乱的代码中解脱出来;它可以帮你构建一个完美的网络APP,而且每行代码都可以简洁、富于表达力。

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Laravel 5.1 LTS 发布,支持 PSR-2
分享
评论(9)
最新评论
0
3年安全修复,好。
0

引用来自“yak”的评论

模板应该只能做显示逻辑,你要调用服务,必须从头从门口再绕一圈,这样才能从机制上保证权限和流程
框架好不容易把显示层 控制层 服务层分离开了, 现在又要糅合进来了
那还不如直接用php的<?php xx ?>的模板里面写方法查库写库就行了
想干啥就干啥,顺便用laravel装下逼
视图只需要if,foreach等简单的语法就行了,用模板的话感觉像是脱裤子放屁,完全没必要
0

引用来自“iSpace”的评论

PHP is the last best
这英文水平?
0
模板应该只能做显示逻辑,你要调用服务,必须从头从门口再绕一圈,这样才能从机制上保证权限和流程
框架好不容易把显示层 控制层 服务层分离开了, 现在又要糅合进来了
那还不如直接用php的<?php xx ?>的模板里面写方法查库写库就行了
想干啥就干啥,顺便用laravel装下逼
0
> 可以直接从一个 Blade 模板中”解决“一个服务

应该是“启动”或者“激活”吧
0
紧跟Symfony 2.7
0
赞,最好的框架
0
PHP is the last best
0
PHP语言是最好的!
顶部